OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PColPGeom

# PColPGeom_FieldOfHArray2OfSurface Class Reference

`#include <PColPGeom_FieldOfHArray2OfSurface.hxx>`

Inheritance diagram for PColPGeom_FieldOfHArray2OfSurface:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PColPGeom_FieldOfHArray2OfSurface ()
Standard_EXPORT | PColPGeom_FieldOfHArray2OfSurface (const Standard_Integer Size)
Standard_EXPORT | PColPGeom_FieldOfHArray2OfSurface (const PColPGeom_FieldOfHArray2OfSurface &Varray)
Standard_EXPORT void | Resize (const Standard_Integer Size)
Standard_EXPORT void | Assign (const PColPGeom_FieldOfHArray2OfSurface &Other)
void | operator= (const PColPGeom_FieldOfHArray2OfSurface &Other)
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Handle(PGeom_Surface)&Value)
Standard_EXPORT Handle_PGeom_Surface & | Value (const Standard_Integer Index) const
Handle_PGeom_Surface & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | Destroy ()
| ~PColPGeom_FieldOfHArray2OfSurface ()
## Friends
Standard_EXPORT friend Handle_Standard_Type & | PColPGeom_FieldOfHArray2OfSurface_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT PColPGeom_FieldOfHArray2OfSurface::PColPGeom_FieldOfHArray2OfSurface | ( |  | ) |

Standard_EXPORT PColPGeom_FieldOfHArray2OfSurface::PColPGeom_FieldOfHArray2OfSurface | ( | const Standard_Integer | Size | ) |

Standard_EXPORT PColPGeom_FieldOfHArray2OfSurface::PColPGeom_FieldOfHArray2OfSurface | ( | const PColPGeom_FieldOfHArray2OfSurface & | Varray | ) |

PColPGeom_FieldOfHArray2OfSurface::~PColPGeom_FieldOfHArray2OfSurface | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void PColPGeom_FieldOfHArray2OfSurface::Assign | ( | const PColPGeom_FieldOfHArray2OfSurface & | Other | ) |

Standard_EXPORT void PColPGeom_FieldOfHArray2OfSurface::Destroy | ( |  | ) |

| Reimplemented from DBC_BaseArray.

void PColPGeom_FieldOfHArray2OfSurface::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PColPGeom_FieldOfHArray2OfSurface::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PColPGeom_FieldOfHArray2OfSurface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from DBC_BaseArray.

Handle_PGeom_Surface& PColPGeom_FieldOfHArray2OfSurface::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

void PColPGeom_FieldOfHArray2OfSurface::operator= | ( | const PColPGeom_FieldOfHArray2OfSurface & | Other | ) | `[inline]`

Standard_EXPORT void PColPGeom_FieldOfHArray2OfSurface::Resize | ( | const Standard_Integer | Size | ) |

Standard_EXPORT void PColPGeom_FieldOfHArray2OfSurface::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(PGeom_Surface)& | Value
| ) |

Standard_EXPORT Handle_PGeom_Surface& PColPGeom_FieldOfHArray2OfSurface::Value | ( | const Standard_Integer | Index | ) | const

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& PColPGeom_FieldOfHArray2OfSurface_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- PColPGeom_FieldOfHArray2OfSurface.hxx